/////////////////////////////////////////////////
// UOX3 Command List
// Daniel Moree(ShadowBranch)
// July 18, 2005
/////////////////////////////////////////////////
#ifndef __COMMANDS__
#define __COMMANDS__

// Shard Operations
unsigned char SecureUOX				= '*';
unsigned char CommandList			= '?';
unsigned char Configuration			= 'C';
unsigned char ConsoleBroadcast		= 'Y';
unsigned char QuitServer			= 'Q';

// Reload commands
unsigned char ReloadINI				= '1';
unsigned char ReloadAccounts		= '2';
unsigned char ReloadRegions			= '3';
unsigned char ReloadSpawnRegions	= '4';
unsigned char ReloadSpells			= '5';
unsigned char ReloadCommands		= '6';
unsigned char ReloadDFNFiles		= '7';
unsigned char ReloadJSFiles			= '8';
unsigned char ReloadHTML			= '9';
unsigned char ReloadAll				= '0';

// Save Commands
unsigned char SaveAccounts			= '!';
unsigned char SaveWorld				= '@';

// Server Maintenence
unsigned char MainPerformance		= 'P';
unsigned char MainCharacters		= 'W';
unsigned char MainMemory			= 'M';
unsigned char MainShutdown			= 'T';
unsigned char MainDumpLookups		= 'V';
unsigned char MainDisplayMaps		= 'F';

// Network Maintenence
unsigned char DisconnectAcctZero	= 'D';
unsigned char DisconnectAll			= 'K';
unsigned char SocketLogging			= 'Z';

#endif